﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Windows.Forms;
using System.Data;
using System.Net;
using System.Xml.XPath;
namespace XmlBindSource
{
    class datalayer
    {
        DataTable dt;
        public datalayer()
        {
          
            XmlDocument _doc = new XmlDocument();
     

            dt = new DataTable();
            dt.Columns.Add(new DataColumn("Title", typeof(String)));
            dt.Columns.Add(new DataColumn("Artist", typeof(String)));
            dt.Columns.Add(new DataColumn("Country", typeof(String)));
            dt.Columns.Add(new DataColumn("Company", typeof(String)));
            dt.Columns.Add(new DataColumn("Price", typeof(Double)));
            dt.Columns.Add(new DataColumn("Year", typeof(Int32)));


            _doc.Load("http://www.w3schools.com/xml/cd_catalog.xml");

            XmlElement root = _doc.DocumentElement;
            XPathNavigator navigator = _doc.CreateNavigator();
            XPathNodeIterator cdData = navigator.Select("//CD");
          
            while (cdData.MoveNext())
            {
                XPathNodeIterator cdDataElements = cdData.Current.SelectChildren(XPathNodeType.Element);
                DataRow dr = dt.NewRow();
                while (cdDataElements.MoveNext())
                {
                    // Read the values based on the element name
                    switch (cdDataElements.Current.Name)
                    {
                       //  convert values as necessary to match the business object's property types
                        case "TITLE":
                            dr["Title"] = cdDataElements.Current.Value.ToString();
                            break;
                        case "ARTIST":
                            dr["Artist"] = cdDataElements.Current.Value.ToString();
                            break;
                        case "COUNTRY":
                            dr["Country"] = cdDataElements.Current.Value.ToString();
                            break;
                        case "COMPANY":
                            dr["Company"] = cdDataElements.Current.Value.ToString();
                            break;
                        case "PRICE":
                            dr["Price"] = Convert.ToDouble(cdDataElements.Current.Value);
                            break;
                        case "YEAR":
                            dr["Year"] = Convert.ToInt32(cdDataElements.Current.Value);
                            break;
                    }
                }
                dt.Rows.Add(dr);
            }

           
        }

        public DataTable GetData
        {
            get { return dt; }
        }
    }
}