﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Document;
using System.Globalization;

namespace XmlBindSource
{
    public partial class Form1 : Form
    {
        datalayer dl;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {
            GrapeCity.ActiveReports.PageReport _report = new GrapeCity.ActiveReports.PageReport(new System.IO.FileInfo("../../Report1.rdlx"));
            dl = new datalayer();

            PageDocument _runtime = new PageDocument(_report);
            _runtime.LocateDataSource += new LocateDataSourceEventHandler(_runtime_LocateDataSource);

            this.viewer1.LoadDocument(_runtime);
        }
        
        private static bool StringsAreEqual(string str1, string str2)
        {
            return string.Compare(str1, str2, true, CultureInfo.InvariantCulture) == 0;
        }

        private void _runtime_LocateDataSource(object sender, LocateDataSourceEventArgs args)
        {
            Object data = null;
            if (StringsAreEqual("DataSource1", args.DataSourceName))
            {
                if (StringsAreEqual("DataSet1", args.DataSetName))
                {
                    data = dl.GetData;
                }
            }

            args.Data = data;
        }

        
    }
}
